#include "TextureSemanticHandler.h"

TextureSemanticHandler::TextureSemanticHandler(const std::string& inName, IDirect3DBaseTexture9* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


TextureSemanticHandler::~TextureSemanticHandler()
{
}

void TextureSemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_Texture2D(Value);
}